@extends('layout')


@section('content')

<div class="page-header page-header-default">
	<div class="breadcrumb-line">
		<ul class="breadcrumb">
			<li><a href="index.html"><i class="icon-home2 position-left"></i> Master</a></li>
			<li class="active">Satuan</li>
		</ul>
	</div>
</div>

<div class="content">
	<div class="panel panel-flat">
		<div class="panel-heading">
			<h5 class="panel-title">Satuan</h5>
			<div class="heading-elements">
				<ul class="icons-list">
		      		<li><a data-action="collapse"></a></li>
		      	</ul>
	       	</div>
	    </div>
	    <div class="panel-body">
	    	<button class="btn btn-primary" id="btn_tambah_satuan"><i class=""></i>Tambah</button>
	    </div>

	    <table class="table table_satuan table-stripped">
	    	<thead>
				<tr>
					<th>No</th>
					<th>Nama Satuan</th>
					<th>Simbol</th>
					<th class="text-center">Aksi</th>
				</tr>
			</thead>
			<tbody>
			</tbody>
	    </table>
	</div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog" role="document">
	    <div class="modal-content">
	    	<div class="modal-header">
	    		<h5 class="modal-title" id="exampleModalLabel">Data</h5>
	    		<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span></button>
	      	</div>
	      	<div class="modal-body">
	      		<form class="form-horizontal" autocomplete="off">
	      			<input type="hidden" name="id_satuan">
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Nama Satuan</label>
	      				<div class="col-sm-8">
	      					<input type="text" name="popup_nama" class="form-control">
	      				</div>
	      			</div>
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Satuan</label>
	      				<div class="col-sm-8">
	      					<input type="text" name="popup_satuan" class="form-control">
	      				</div>
	      			</div>
                    
	      		</form>
	      	</div>
	      	<div class="modal-footer">
	        	<button type="button" class="btn btn-primary" id="btn_popup_simpan">Simpan</button>
	      	</div>
	    </div>
	</div>
</div>

<script type="text/javascript">
	var table_satuan;

	$(document).ready(function(){
		table_satuan = $(".table_satuan").DataTable({
			processing: true,
	        serverSide: true,
	        ajax: '{{ url('satuan/get_data') }}',
	        columns: [
	            {data: 'rownum', name: 'rownum', orderable: false, searchable: false, render : function(data, type, row, meta){
			  		return meta.row+1;
			  	}},
	            {data: 'nama_satuan', name: 'nama_satuan'},
	            {data: 'satuan', name: 'satuan'},
	            {data: 'aksi', name: 'aksi', orderable: false, searchable: false}
	        ],
		});
		
		// table_satuan.on( 'order.dt search.dt', function () {
  //           table_satuan.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {
  //               cell.innerHTML = i+1;
  //           } );
  //       } ).draw();
  //       table_satuan.clear().draw();

    //    get_data();
	})
	$("#btn_tambah_satuan").click(function(){
		$("[name=id_satuan]").val('');
		$("[name=popup_nama]").val('');
		$("[name=popup_satuan]").val('');
		

		$("#exampleModal").modal("show");
	})

	function get_data(){
		$.ajax({
			url: "{{ url('satuan/get_data')}}  ",
			type: 'get',
			dataType: 'json',
			success: function(respon){
				table_satuan.clear().draw();
				for(i in respon){
					table_satuan.row.add(['<div><center></center></div>',
						'<div>'+respon[i].nama_satuan+'</div>',
						'<div>'+respon[i].satuan+'</div>',
						'<div>'+respon[i].aksi+'</div>'+
						'<input type="hidden" id="table_id'+respon[i].id_satuan+'" value="'+respon[i].id_satuan+'">'+
						'<input type="hidden" id="table_nama'+respon[i].id_satuan+'" value="'+respon[i].nama_satuan+'">'+
						'<input type="hidden" id="table_satuan'+respon[i].id_satuan+'" value="'+respon[i].satuan+'">'
						]).draw(false);
				}
			}
		})
	}

	

	function edit(id){
		var id = $("#table_id"+id).val();
		var nama = $("#table_nama"+id).val();
		var kode = $("#table_satuan"+id).val();

		$("[name=id_satuan]").val(id);
		$("[name=popup_nama]").val(nama);
		$("[name=popup_satuan]").val(kode);

		$("#exampleModal").modal('show');

	}

	function hapus(id){
		swal({
			title: 'Anda yakin akan menghapus item ini?',
			type: 'warning',
			showCancelButton: true,
			confirmButtonColor: '#3085d6',
			cancelButtonColor: '#d33',
			confirmButtonText: 'Ya',
			cancelButtonText: 'Tidak',
		}).then((result) => {
			if(result.value){
			 	$.ajax({
					url: "{{ url('satuan/hapus')}} ",
					type: 'post',
					data: {id : id},
					headers : {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					},
					success: function(respon){
						table_satuan.ajax.reload();
					}
				})
			}
		})
	}

	$("#btn_popup_simpan").click(function(){
		var id = $("[name=id_satuan]").val();
		var kode = $("[name=popup_satuan]").val();
		var nama = $("[name=popup_nama]").val();
		
		if(nama != '' && kode != ''){
			$.ajax({
				url: "{{ url('satuan/simpan')}} ",
				type: 'post',
				data: {id : id, kode : kode, nama : nama},
				headers : {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				success: function(respon){
					table_satuan.ajax.reload();
					$("#exampleModal").modal('hide');
				}
			})
		}
	})
</script>

@endsection